Class UmlBaseUseCaseReference

this class manages use case references

Declaration :

- C++ : class UmlBaseUseCaseReference
- Java : class UmlBaseUseCaseReference

Directly inherited by : UmlUseCaseReference

Artifact : UmlBaseUseCaseReference

Operation useCase

return the use case

Declaration :

- Uml : + useCase() : UmlUseCase
- C++ : public: UmlUseCase * useCase() const
- Java : public UmlUseCase useCase()

Operation fragment

return the fragment compartment containing the
use case, or 0/null

Declaration :

- Uml : + fragment() : UmlFragmentCompartment
- C++ : public: UmlFragmentCompartment * fragment() const
- Java : public UmlFragmentCompartment fragment()

Operation subject

return the subject containing the use case, or 0/null

Declaration :

- Uml : + subject() : UmlSubject
- C++ : public: UmlSubject * subject() const
- Java : public UmlSubject subject()

Relation _use_case (<unidirectional association>)

Declaration :

- Uml : - _use_case : UmlUseCase
- C++ : private: UmlUseCase * _use_case
- Java : private UmlUseCase _use_case

Relation _fragment (<unidirectional association>)

Declaration :

- Uml : - _fragment : UmlFragmentCompartment
- C++ : private: UmlFragmentCompartment * _fragment
- Java : private UmlFragmentCompartment _fragment

Relation _subject (<unidirectional association>)

Declaration :

- Uml : - _subject : UmlSubject
- C++ : private: UmlSubject * _subject
- Java : private UmlSubject _subject

Attribut _x

Declaration :

- Uml : - _x : int
- C++ : private: int _x
- Java : private int _x

Attribut _y

Declaration :

- Uml : - _y : int
- C++ : private: int _y
- Java : private int _y

Attribut _w

Declaration :

- Uml : - _w : int
- C++ : private: int _w
- Java : private int _w

Attribut _h

Declaration :

- Uml : - _h : int
- C++ : private: int _h
- Java : private int _h

Operation read_

internal, don't call it

Declaration :

- Uml : + read_(in fragments : UmlFragment, in subjects : UmlSubject) : void
- C++ : private: void read_(const QVector<UmlFragment> & fragments, const QVector<UmlSubject> & subjects)
- Java : public void read_(UmlFragment[] fragments, UmlSubject[] subjects)

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseUseCaseDiagramDefinition;

All public operations : fragment , read_ , subject , useCase